Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.geometry.euclidean.threed
Class Vector3DFormat

    java.lang.Object
      org.apache.commons.math3.geometry.VectorFormat<Euclidean3D>
          org.apache.commons.math3.geometry.euclidean.threed.Vector3DFormat

    public class Vector3DFormat

extends VectorFormat<Euclidean3D>

Formats a 3D vector in components list format "{x; y; z}".

The prefix and suffix "{" and "}" and the separator "; " can be replaced by any user-defined strings. The number format for components can be configured.

White space is ignored at parse time, even if it is in the prefix, suffix or separator specifications. So even if the default separator does include a space character that is used at format time, both input string "{1;1;1}" and " { 1 ; 1 ; 1 } " will be parsed without error and the same vector will be returned. In the second case, however, the parse position after parsing will be just after the closing curly brace, i.e. just before the trailing space.

Version:
  $Id: Vector3DFormat.java 1416643 2012-12-03 19:37:14Z tn $

Field Summary

Fields inherited from class org.apache.commons.math3.geometry.VectorFormat
`DEFAULT_PREFIX, DEFAULT_SEPARATOR, DEFAULT_SUFFIX`

Constructor Summary
`Vector3DFormat()` Create an instance with default settings.
`Vector3DFormat(NumberFormat format)` Create an instance with a custom number format for components.
`Vector3DFormat(String prefix, String suffix, String separator)` Create an instance with custom prefix, suffix and separator.
`Vector3DFormat(String prefix, String suffix, String separator, NumberFormat format)` Create an instance with custom prefix, suffix, separator and format for components.

Method Summary
`StringBuffer` | `format(Vector<Euclidean3D> vector, StringBuffer toAppendTo, FieldPosition pos)` Formats a `Vector3D` object to produce a string.
`static Vector3DFormat` | `getInstance()` Returns the default 3D vector format for the current locale.
`static Vector3DFormat` | `getInstance(Locale locale)` Returns the default 3D vector format for the given locale.
`Vector3D` | `parse(String source)` Parses a string to produce a `Vector3D` object.
`Vector3D` | `parse(String source, ParsePosition pos)` Parses a string to produce a `Vector3D` object.

Methods inherited from class org.apache.commons.math3.geometry.VectorFormat
`format, format, getAvailableLocales, getFormat, getPrefix, getSeparator, getSuffix, parseCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Vector3DFormat

    public Vector3DFormat()

  Create an instance with default settings.

  The instance uses the default prefix, suffix and separator: "{", "}", and "; " and the default number format for components.

### Vector3DFormat

    public Vector3DFormat(NumberFormat format)

  Create an instance with a custom number format for components.

  Parameters:
    `format` - the custom format for components.

### Vector3DFormat

    public Vector3DFormat(String prefix,
                          String suffix,
                          String separator)

  Create an instance with custom prefix, suffix and separator.

  Parameters:
    `prefix` - prefix to use instead of the default "{"
    `suffix` - suffix to use instead of the default "}"
    `separator` - separator to use instead of the default "; "

### Vector3DFormat

    public Vector3DFormat(String prefix,
                          String suffix,
                          String separator,
                          NumberFormat format)

  Create an instance with custom prefix, suffix, separator and format for components.

  Parameters:
    `prefix` - prefix to use instead of the default "{"
    `suffix` - suffix to use instead of the default "}"
    `separator` - separator to use instead of the default "; "
    `format` - the custom format for components.

Method Detail

### getInstance

    public static Vector3DFormat getInstance()

  Returns the default 3D vector format for the current locale.

  Returns:
    the default 3D vector format.

### getInstance

    public static Vector3DFormat getInstance(Locale locale)

  Returns the default 3D vector format for the given locale.

  Parameters:
    `locale` - the specific locale used by the format.
  Returns:
    the 3D vector format specific to the given locale.

### format

    public StringBuffer format(Vector<Euclidean3D> vector,
                               StringBuffer toAppendTo,
                               FieldPosition pos)

  Formats a `Vector3D` object to produce a string.

  Specified by:
    `format` in class `VectorFormat<Euclidean3D>`
  Parameters:
    `vector` - the object to format.
    `toAppendTo` - where the text is to be appended
    `pos` - On input: an alignment field, if desired. On output: the offsets of the alignment field
  Returns:
    the value passed in as toAppendTo.

### parse

    public Vector3D parse(String source)
                   throws MathParseException

  Parses a string to produce a `Vector3D` object.

  Specified by:
    `parse` in class `VectorFormat<Euclidean3D>`
  Parameters:
    `source` - the string to parse
  Returns:
    the parsed `Vector3D` object.
  Throws:
    `MathParseException` - if the beginning of the specified string cannot be parsed.

### parse

    public Vector3D parse(String source,
                          ParsePosition pos)

  Parses a string to produce a `Vector3D` object.

  Specified by:
    `parse` in class `VectorFormat<Euclidean3D>`
  Parameters:
    `source` - the string to parse
    `pos` - input/ouput parsing parameter.
  Returns:
    the parsed `Vector3D` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.